> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ankra.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Application Api Endpoint



## OpenAPI

````yaml https://platform.ankra.app/openapi.json get /api/v1/org/applications/{application_id}
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://platform.ankra.app
security: []
paths:
  /api/v1/org/applications/{application_id}:
    get:
      tags:
        - Applications API
      summary: Get Application Api Endpoint
      operationId: >-
        get_application_api_endpoint_api_v1_org_applications__application_id__get
      parameters:
        - in: path
          name: application_id
          required: true
          schema:
            title: Application Id
            type: string
        - in: header
          name: authorization
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
        - in: header
          name: x-ankra-organisation-id
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Ankra-Organisation-Id
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetApplicationResponse'
          description: Successful Response
        '401':
          description: Unauthorized
        '404':
          description: Not found
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
components:
  schemas:
    GetApplicationResponse:
      properties:
        analysis_status:
          anyOf:
            - type: string
            - type: 'null'
          title: Analysis Status
        app_repo_branch:
          title: App Repo Branch
          type: string
        app_repo_name:
          title: App Repo Name
          type: string
        app_repo_owner:
          title: App Repo Owner
          type: string
        app_repo_url:
          anyOf:
            - type: string
            - type: 'null'
          title: App Repo Url
        chart_oci_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Chart Oci Url
        chart_version_count:
          anyOf:
            - type: integer
            - type: 'null'
          title: Chart Version Count
        clusters_behind:
          anyOf:
            - type: integer
            - type: 'null'
          title: Clusters Behind
        clusters_up_to_date:
          anyOf:
            - type: integer
            - type: 'null'
          title: Clusters Up To Date
        container_image_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Container Image Url
        created_at:
          title: Created At
          type: string
        creation_progress:
          anyOf:
            - items:
                $ref: '#/components/schemas/CreationProgressStepResponse'
              type: array
            - type: 'null'
          title: Creation Progress
        cve_summary:
          anyOf:
            - additionalProperties:
                type: integer
              type: object
            - type: 'null'
          title: Cve Summary
        deployment_count:
          anyOf:
            - type: integer
            - type: 'null'
          title: Deployment Count
        detected_framework:
          anyOf:
            - type: string
            - type: 'null'
          title: Detected Framework
        detected_language:
          anyOf:
            - type: string
            - type: 'null'
          title: Detected Language
        error_message:
          anyOf:
            - type: string
            - type: 'null'
          title: Error Message
        generated_files:
          anyOf:
            - items:
                $ref: '#/components/schemas/GeneratedFileItem'
              type: array
            - type: 'null'
          title: Generated Files
        healthy_deployment_count:
          anyOf:
            - type: integer
            - type: 'null'
          title: Healthy Deployment Count
        helm_repo_add_command:
          anyOf:
            - type: string
            - type: 'null'
          title: Helm Repo Add Command
        id:
          title: Id
          type: string
        latest_chart_version:
          anyOf:
            - type: string
            - type: 'null'
          title: Latest Chart Version
        latest_delivery_status:
          anyOf:
            - type: string
            - type: 'null'
          title: Latest Delivery Status
        latest_workflow_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Latest Workflow At
        latest_workflow_conclusion:
          anyOf:
            - type: string
            - type: 'null'
          title: Latest Workflow Conclusion
        latest_workflow_status:
          anyOf:
            - type: string
            - type: 'null'
          title: Latest Workflow Status
        name:
          title: Name
          type: string
        parameters:
          anyOf:
            - items:
                $ref: '#/components/schemas/ApplicationParameterItem'
              type: array
            - type: 'null'
          title: Parameters
        publish_readiness:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Publish Readiness
        pull_request_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Pull Request Url
        state:
          title: State
          type: string
        updated_at:
          title: Updated At
          type: string
      required:
        - id
        - name
        - state
        - app_repo_owner
        - app_repo_name
        - app_repo_branch
        - created_at
        - updated_at
      title: GetApplicationResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    CreationProgressStepResponse:
      properties:
        key:
          title: Key
          type: string
        message:
          anyOf:
            - type: string
            - type: 'null'
          title: Message
        status:
          title: Status
          type: string
      required:
        - key
        - status
      title: CreationProgressStepResponse
      type: object
    GeneratedFileItem:
      properties:
        content:
          title: Content
          type: string
        path:
          title: Path
          type: string
      required:
        - path
        - content
      title: GeneratedFileItem
      type: object
    ApplicationParameterItem:
      properties:
        default:
          anyOf:
            - type: string
            - type: 'null'
          title: Default
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        name:
          title: Name
          type: string
        required:
          default: false
          title: Required
          type: boolean
        type:
          default: string
          title: Type
          type: string
      required:
        - name
      title: ApplicationParameterItem
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object

````